Bug 1639324 - jpype: Remove (sub)packages from Fedora 30+: python2-jpype
Summary: jpype: Remove (sub)packages from Fedora 30+: python2-jpype
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jpype
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-15 13:26 UTC by Miro Hrončok
Modified: 2019-01-15 17:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-15 17:52:06 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-10-15 13:26:40 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of jpype were marked for removal:

 * python2-jpype

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Raphael Groner 2018-11-05 06:48:56 UTC
Python 3.7 is going to be officially supported with a next major upstream release.
https://github.com/jpype-project/jpype/issues/371#issuecomment-435769466

Comment 2 Raphael Groner 2018-12-17 14:54:55 UTC
Miro, I plan to keep the python2 build as optional in Fedora. There's a branch for epel7 and we may need the python2 subpackage still in epel7. What do you think?

Comment 3 Miro Hrončok 2018-12-17 19:38:33 UTC
As long as you don't build it in Fedora, feel free to have conditional for it.

Comment 4 Raphael Groner 2018-12-17 20:38:19 UTC
(In reply to Miro Hrončok from comment #3)
> As long as you don't build it in Fedora, feel free to have conditional for
> it.

Okay, I tend to drop the subpackage from epel7, too. There's a little chance someone uses it.

Comment 5 Raphael Groner 2019-01-15 17:52:06 UTC
Fixed in rawhide. 

Miro, Thanks a lot for general guidance and this really smooth transition of python migration.


Note You need to log in before you can comment on or make changes to this bug.